#include <psemek/wgpu/pipeline_layout.hpp>
#include <psemek/wgpu/detail/string_view.hpp>
#include <psemek/wgpu/external/webgpu.h>
#include <psemek/wgpu/external/wgpu.h>

namespace psemek::wgpu
{

	void pipeline_layout::set_label(std::string const & label)
	{
		wgpuPipelineLayoutSetLabel((WGPUPipelineLayout)get(), detail::to_string_view(label));
	}

	void pipeline_layout::reference(void * ptr)
	{
		wgpuPipelineLayoutAddRef((WGPUPipelineLayout)ptr);
	}

	void pipeline_layout::release(void * ptr)
	{
		wgpuPipelineLayoutRelease((WGPUPipelineLayout)ptr);
	}

}
